html {
  line-height: 1.15;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
}
body {
  margin: 0;
}
article,
aside,
footer,
header,
nav,
section {
  display: block;
}
h1 {
  font-size: 2em;
  margin: 0.67em 0;
}
figcaption,
figure,
main {
  display: block;
}
figure {
  margin: 1em 40px;
}
hr {
  box-sizing: content-box;
  height: 0;
  overflow: visible;
}
pre {
  font-family: monospace, monospace;
  font-size: 1em;
}
a {
  background-color: transparent;
  -webkit-text-decoration-skip: objects;
}
abbr[title] {
  border-bottom: none;
  text-decoration: underline;
  text-decoration: underline dotted;
}
b,
strong {
  font-weight: inherit;
}
b,
strong {
  font-weight: bolder;
}
code,
kbd,
samp {
  font-family: monospace, monospace;
  font-size: 1em;
}
dfn {
  font-style: italic;
}
mark {
  background-color: #ff0;
  color: #000;
}
small {
  font-size: 80%;
}
sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}
sub {
  bottom: -0.25em;
}
sup {
  top: -0.5em;
}
audio,
video {
  display: inline-block;
}
audio:not([controls]) {
  display: none;
  height: 0;
}
img {
  border-style: none;
}
svg:not(:root) {
  overflow: hidden;
}
button,
input,
optgroup,
select,
textarea {
  font-family: sans-serif;
  font-size: 100%;
  line-height: 1.15;
  margin: 0;
}
button,
input {
  overflow: visible;
}
button,
select {
  text-transform: none;
}
button,
html [type="button"],
[type="reset"],
[type="submit"] {
  -webkit-appearance: button;
}
button::-moz-focus-inner,
[type="button"]::-moz-focus-inner,
[type="reset"]::-moz-focus-inner,
[type="submit"]::-moz-focus-inner {
  border-style: none;
  padding: 0;
}
button:-moz-focusring,
[type="button"]:-moz-focusring,
[type="reset"]:-moz-focusring,
[type="submit"]:-moz-focusring {
  outline: 1px dotted ButtonText;
}
fieldset {
  padding: 0.35em 0.75em 0.625em;
}
legend {
  box-sizing: border-box;
  color: inherit;
  display: table;
  max-width: 100%;
  padding: 0;
  white-space: normal;
}
progress {
  display: inline-block;
  vertical-align: baseline;
}
textarea {
  overflow: auto;
}
[type="checkbox"],
[type="radio"] {
  box-sizing: border-box;
  padding: 0;
}
[type="number"]::-webkit-inner-spin-button,
[type="number"]::-webkit-outer-spin-button {
  height: auto;
}
[type="search"] {
  -webkit-appearance: textfield;
  outline-offset: -2px;
}
[type="search"]::-webkit-search-cancel-button,
[type="search"]::-webkit-search-decoration {
  -webkit-appearance: none;
}
::-webkit-file-upload-button {
  -webkit-appearance: button;
  font: inherit;
}
details,
menu {
  display: block;
}
summary {
  display: list-item;
}
canvas {
  display: inline-block;
}
template {
  display: none;
}
[hidden] {
  display: none;
}

.clearfix:after {
  visibility: hidden;
  display: block;
  font-size: 0;
  content: "";
  clear: both;
  height: 0;
}

html {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

html {
  font-size: 13px;
  font-family: "Barlow Semi Condensed", sans-serif;
}

:root {
  --Purple-50: hsl(260, 100%, 95%);
  --Purple-300: hsl(264, 82%, 80%);
  --Purple-500: hsl(263, 55%, 52%);
  --White: hsl(0, 0%, 100%);
  --Grey-100: hsl(214, 17%, 92%);
  --Grey-200: hsl(0, 0%, 81%);
  --Grey-400: hsl(224, 10%, 45%);
  --Grey-500: hsl(217, 19%, 35%);
  --Dark-blue: hsl(219, 29%, 14%);
  --Black: hsl(0, 0%, 7%);
}

body {
  /* background: var(--Grey-100); */
  background: #f6f5f6;
}

main {
  display: flex;
  flex-direction: column;
  gap: 32px;
  margin: 100px auto;
  max-width: 85%;
}

.post-card {
  border-radius: 10px;
  padding: 32px;
  box-shadow: hsl(0deg 0% 7% / 35%) 9px 16px 20px 5px, hsl(0deg 0% 7% / 0%) 0px 6px 6px -6px;
}

.post-card:nth-of-type(1) p {
  position: relative;
  z-index: 1;
}

.post-card:nth-of-type(1) .author-container img,
.post-card:nth-of-type(4) .author-container img{
  border: 2px solid var(--Purple-300);
}

.post-card:nth-of-type(1) .author-container .author-text p:nth-of-type(2),
.post-card:nth-of-type(1) p:nth-of-type(2){
  color: var(--Purple-50);
}

.post-card:nth-of-type(3) .author-container .author-text p:nth-of-type(2),
.post-card:nth-of-type(3) p:nth-of-type(2),
.post-card:nth-of-type(5) .author-container .author-text p:nth-of-type(2),
.post-card:nth-of-type(5) p:nth-of-type(2){
  color: var(--Grey-400);
}

.post-card:nth-of-type(4) .author-container .author-text p:nth-of-type(2),
.post-card:nth-of-type(4) p:nth-of-type(2){
  color: var(--Grey-100);
}

.post-card:nth-of-type(1) {
  background: var(--Purple-500);
  grid-column: 1 / span 2;
  color: var(--White);
  z-index: -1;
}

.post-card:nth-of-type(2) {
  background: var(--Grey-500);
  color: var(--White);
  grid-column: 1/ 1;
}
.post-card:nth-of-type(3) {
  background: var(--White);
  grid-column: 2/ 2;
  grid-row: 2/2;
}
.post-card:nth-of-type(4) {
  background: var(--Dark-blue);
  color: var(--White);
  grid-column: 1 / span 2;
}
.post-card:nth-of-type(5) {
  background: var(--White);
  grid-column: 1 / span 2;
  grid-row: 4 / span 2;
}

.author-container {
  display: flex;
  align-items: center;
  gap: 16px;
}

.author-container img {
  width: 30px;
  height: auto;
  border-radius: 50%;
}

.author-text p {
  margin: 0;
}

.author-name {
  font-weight: 600;
  margin-bottom: 4px;
}

.headline {
  font-size: 1.5rem;
  font-weight: 600;
  margin-bottom: 16px;
  line-height: 120%;
}

.post-card p:last-of-type {
  line-height: 140%;
}

footer {
  text-align: center;

}

.attribution {
  font-size: 11px;
  text-align: center;
}
.attribution a {
  color: hsl(228, 45%, 44%);
}

@media screen and (min-width: 426px) and (max-width: 768px) {
  main {
    display: grid;
    grid-template-columns: repeat(2, minmax(200px, 1fr));
    grid-template-rows: repeat(2, minmax(250px, 1fr));
    gap: 32px;
  }
}

@media (min-width: 769px) {
  main {
    display: grid;
    grid-template-columns: repeat(4, minmax(200px, 1fr));
    grid-template-rows: repeat(2, minmax(250px, 1fr));
    gap: 32px;
    margin: 100px auto;
    
  }

  .post-card:nth-of-type(1)::before {
    content: url("../../images/bg-pattern-quotation.svg");
    position: absolute;
    top: 100px;
    left: 30%;
    border-radius: 10px;
    z-index: 0;
  }

  .post-card:nth-of-type(1) {
    grid-column: 1 / span 2;
  }

  .post-card:nth-of-type(2) {
    grid-column: 3 / 4;
    grid-row: 1 / 2;
  }
  .post-card:nth-of-type(3) {
    grid-column: 1 / 1;
    grid-row: 2 / 2;
  }
  .post-card:nth-of-type(4) {
    grid-column: 2 / span 2;
    color: var(--White);
  }
  .post-card:nth-of-type(5) {
    grid-column: 4 / 5;
    grid-row: 1 / span 2;
  }
}
